pqiv would benefit from a ffmpeg rebuild

Bug #1982779 reported by Dan Bungert
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pqiv (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

pqiv uses a shared library plugin system to be flexible about the availability of backends. ffmpeg is one such possible backend, but not strictly required.

It would be best to rebuild pqiv so that it expects the correct ffmpeg version.

$ ldd /usr/lib/pqiv/pqiv-backend-libav.so | grep libav
libavformat.so.58 => /lib/x86_64-linux-gnu/libavformat.so.58 (0x00007f8885cc6000)
libavcodec.so.58 => /lib/x86_64-linux-gnu/libavcodec.so.58 (0x00007f88848bf000)
libavutil.so.56 => /lib/x86_64-linux-gnu/libavutil.so.56 (0x00007f8884567000)
libavcodec.so.59 => /lib/x86_64-linux-gnu/libavcodec.so.59 (0x00007f887d493000)
libavutil.so.57 => /lib/x86_64-linux-gnu/libavutil.so.57 (0x00007f887d2b9000)

Revision history for this message
Dan Bungert (dbungert) wrote :

Simple rebuild debdiff

Changed in pqiv (Ubuntu):
status: New → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pqiv - 2.12-1build2

---------------
pqiv (2.12-1build2) kinetic; urgency=medium

  * No-change rebuild against latest ffmpeg (LP: #1982779)

 -- Dan Bungert <email address hidden> Mon, 25 Jul 2022 11:49:50 -0600

Changed in pqiv (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
pberndt (phillip-berndt) wrote :

Thanks for finding and fixing this! I so far assumed such rebuilds would happen automatically, given pqiv Build-Depends on libav. Is there anything I can modify upstream (Debian package or pqiv source) to improve the situation?

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers